import { CloudSyncOutlined } from "@ant-design/icons";
import {
  Button,
  Card,
  Col,
  Row,
  Space,
  Table,
  Input,
  Segmented,
  Tooltip,
  Image,
} from "antd";
const { Search } = Input;

const Library = () => {
  const dataSource = [
    {
      key: "1",
      name: "K线篇1--特殊K线的量化描述.mp4",
      duration: 845,

      cover: (
        <Image
          height={60}
          src="https://1500018521.vod2.myqcloud.com/a28b6648vodtranssh1500018521/8a1352da243791580308966554/coverBySnapshot_10_0.jpg"
        />
      ),
    },
    {
      key: "2",
      name: "Vite + React + TS - Google Chrome 2023-02-15 09-55-08.mp4",
      duration: 16,
      cover: (
        <Image
          height={60}
          src="https://1500018521.vod2.myqcloud.com/a28b6648vodtranssh1500018521/29226db4243791580097740418/coverBySnapshot/coverBySnapshot_10_0.jpg"
        />
      ),
    },
  ];

  const columns = [
    {
      title: "媒体文件名称",
      dataIndex: "name",
      key: "name",
    },
    {
      title: "时长",
      dataIndex: "duration",
      key: "duration",
    },
    {
      title: "封面图片地址",
      dataIndex: "cover",
      key: "cover",
    },
  ];

  const onSearch = (value: string) => console.log(value);

  return (
    <div>
      <Row>
        <Col span={20}>
          <Space>
            <Segmented options={["生", "熟"]} />
            <Search
              placeholder="根据名称搜索视频"
              onSearch={onSearch}
              style={{ width: 200 }}
            />
          </Space>
        </Col>
        <Col span={4} style={{ textAlign: "right" }}>
          <Tooltip title="从腾讯云VOD同步全部视频" placement="left">
            <Button type="primary" icon={<CloudSyncOutlined />}>
              同步
            </Button>
          </Tooltip>
        </Col>
      </Row>
      <Row style={{ marginTop: "16px" }}>
        <Col span={24}>
          <Card>
            <Table dataSource={dataSource} columns={columns} />
          </Card>
        </Col>
      </Row>
    </div>
  );
};

export default Library;
